Package org.zkoss.zkmax.xel.el

## Class ELXelExpression

- java.lang.Object
- - org.zkoss.zkmax.xel.el.ELXelExpression

- All Implemented Interfaces:
    `Expression`

      public class ELXelExpression
      extends java.lang.Object
      implements Expression

  A XEL expression that is based on a EL expression.

  Available in ZK EE

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ELXelExpression​(javax.servlet.jsp.el.Expression expr, java.lang.String rawexpr, FunctionMapper mapper, java.lang.Class expectedType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.Object` | `evaluate​(XelContext ctx)` | Evaluates an expression that was previously prepared.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ELXelExpression

          public ELXelExpression​(javax.servlet.jsp.el.Expression expr,
                                 java.lang.String rawexpr,
                                 FunctionMapper mapper,
                                 java.lang.Class expectedType)

      Parameters:
        `expr` - the expression. It cannot be null.

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate​(XelContext ctx)

      Description copied from interface: `Expression`
      Evaluates an expression that was previously prepared.
      Specified by:
        `evaluate` in interface `Expression`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`